1

Trying to use UPDATER to update my EE from 2.7 to 2.9

Test settings and everything passes but during the update I get the error that it cannot create the back up directory.FTP: Failed to create the dir:

Updater is the current 3.3.0 version

2

Check that the user that PHp executes under (could be www-data, could be the home user for the site) has execute and write permissions in the directory above the one the FTP folder needs to be created in. Also it's worth checking who the owner of the directories is compared to the executing user.

| improve this answer | |
  • This should be marked correct; I had exactly the same issue on 2 local systems (iMac and laptop). For both I needed to change the httpd.conf to use the local (non-admin) user and group, and make sure the owner of the backup directory was the same user. While you're in there, check your php.ini and make sure that upload_max_filesize and post_max_size has enough memory assigned. Some operands can't complete with reduced memory. – Holland Jun 30 '15 at 8:44
  • 1
    Thanks for the vote Holland, looks like the OP's gone stale / Posters gone away though :( darn, I do like a good haul of 15 rep points, warm fuzzy feelings inside and all that1 – Blatant Jul 3 '15 at 16:26

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.